#version 330

uniform float size;
uniform sampler2D img; //size x size image (shadow map)

in vec2 vTexCoord;

out vec4 fragColor;

void main(void)
{
   float blurSize = 1.0/size;
   fragColor  =  texture2D(img, vTexCoord) *0.3125;
   fragColor += texture2D(img, vec2(vTexCoord.x, -3* blurSize+ vTexCoord.y)) * 0.015625;
   fragColor += texture2D(img, vec2(vTexCoord.x, -2* blurSize+ vTexCoord.y)) *0.09375;
   fragColor += texture2D(img, vec2(vTexCoord.x,   - blurSize+ vTexCoord.y)) *0.234375;
   fragColor += texture2D(img, vec2(vTexCoord.x,   + blurSize+ vTexCoord.y)) *0.234375;
   fragColor += texture2D(img, vec2(vTexCoord.x, +2* blurSize+ vTexCoord.y)) *0.09375;
   fragColor += texture2D(img, vec2(vTexCoord.x, +3* blurSize+ vTexCoord.y)) * 0.015625;
}