#version 330

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform mat4 viewMatrix;

in vec3 position;
in vec3 normal;

out vec3 worldNormal;

void main(void) {	
	worldNormal = (modelMatrix * vec4(normal, 0)).xyz;
	
	//modelMatrix is already multiplicated in the animationMatrix
	gl_Position = projectionMatrix * viewMatrix * modelMatrix *vec4(position, 1);
}
